maven工程使用jetty:run报jdk找不到之类的错,求大神

具体错误截图如下图片说明
根据百度配jdk什么的完全没用,求大神指导

0

4个回答

环境里没给编译器呀,你是用jre在运行,需要配置jdk
如果是eclipse的话,位置在-->【Window】-->【Prefrences】-->【Java】-->【Installed JREs】

0
HELLOhanlu
HELLOhanlu 回复红旗飘扬: 一样一样的。。。
2 年多之前 回复
u011955534
红旗飘扬 回复HELLOhanlu: 好像也没什么问题,你先不用eclipse的插件,直接cmd,mvn jetty:run试下看看
2 年多之前 回复
HELLOhanlu
HELLOhanlu 回复红旗飘扬: 大哥 看看有什么问题
2 年多之前 回复
u011955534
红旗飘扬 回复HELLOhanlu: 怎么配的,贴出来看看
2 年多之前 回复
HELLOhanlu
HELLOhanlu 就是这样配置后还是报那个错,就不知道怎么搞了
2 年多之前 回复

图片说明

0

【Window】-->【Prefrences】-->【Java】-->【Compiler】看下那里面是不是默认选择的是1.7

0
HELLOhanlu
HELLOhanlu 是1.7
2 年多之前 回复

找到了 有个jar版本引的不对,尴尬了,谢谢各位大哥

0
Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!